
QGIS Application - Bug report #6181

Crash when trying to load a composer template

2012-08-12 08:37 PM - Alister Hood

Status: Closed

Priority: Severe/Regression

Assignee: Marco Hugentobler

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 15495

Description

With current master on Windows (at least - I haven't tested other platforms yet), QGIS crashes when I try to load a template in the

Composer ( File>New Print Composer; File>Load from template ).

History

#1 - 2012-08-12 08:55 PM - Alister Hood

I don't see anything useful in DebugView or the msys terminal if I start QGIS from that.  This is the error signature provided by the Windows crash

dialogue:

AppName: qgis.exe     AppVer: 0.0.0.0     ModName: unknown

ModVer: 0.0.0.0     Offset: 00000001

#2 - 2012-08-13 08:32 AM - Giovanni Manghi

- Status changed from Open to Feedback

if it is a regression please tag this as "blocker".

#3 - 2012-08-13 03:14 PM - Alister Hood

- Priority changed from High to Severe/Regression

Yes, sorry, it is a regression, although I'm not sure if it has regressed since 1.8 or 1.7 or what.

Note: I'm not able to change the status from "Feedback" to anything except "Closed".

#4 - 2012-08-16 08:57 AM - Giovanni Manghi

- Target version set to Version 2.0.0

- Status changed from Feedback to Open

#5 - 2012-08-17 08:56 PM - Alister Hood

Here is a backtrace from Linux in case it helps:

Program received signal SIGSEGV, Segmentation fault.
0x00000001 in ?? ()

(gdb) bt

#0  0x00000001 in ?? ()

#1  0xb5ba5654 in QgsComposition::removePaperItems() ()

   from /usr/lib/libqgis_core.so.1.9.0

#2  0xb5ba58cc in QgsComposition::~QgsComposition() ()

   from /usr/lib/libqgis_core.so.1.9.0

#3  0xb5ba5cc2 in QgsComposition::~QgsComposition() ()

   from /usr/lib/libqgis_core.so.1.9.0

#4  0xb50cf7f9 in QObjectPrivate::deleteChildren() ()

   from /usr/lib/libQtCore.so.4

#5  0xb4609bf8 in QWidget::~QWidget() () from /usr/lib/libQtGui.so.4

#6  0xb4a1a97f in QFrame::~QFrame() () from /usr/lib/libQtGui.so.4

#7  0xb4aab978 in QAbstractScrollArea::~QAbstractScrollArea() ()

   from /usr/lib/libQtGui.so.4

#8  0xb4c6ac14 in QGraphicsView::~QGraphicsView() ()

   from /usr/lib/libQtGui.so.4

#9  0xb57da255 in QgsComposerView::~QgsComposerView() ()

   from /usr/lib/libqgis_gui.so.1.9.0

#10 0x0830966e in QgsComposer::readXML(QDomElement const&, QDomDocument const&, bool) ()

#11 0x0830a132 in QgsComposer::readXML(QDomDocument const&) ()

#12 0x0830a584 in QgsComposer::on_mActionLoadFromTemplate_triggered() ()

#13 0x083b7ecd in QgsComposer::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.2] ()

---Type <return> to continue, or q <return> to quit---

#14 0x083b81cb in QgsComposer::qt_metacall(QMetaObject::Call, int, void**) ()

#15 0xb50c2655 in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4

#16 0xb50d3e92 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4

#17 0xb45aff2d in QAction::triggered(bool) () from /usr/lib/libQtGui.so.4

#18 0xb45b01cc in QAction::activate(QAction::ActionEvent) ()

   from /usr/lib/libQtGui.so.4

#19 0xb4a5c585 in ?? () from /usr/lib/libQtGui.so.4

#20 0xb4a63696 in ?? () from /usr/lib/libQtGui.so.4

#21 0xb4a645e5 in QMenu::mouseReleaseEvent(QMouseEvent*) ()

   from /usr/lib/libQtGui.so.4

#22 0xb461009f in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4

#23 0xb4a64aec in QMenu::event(QEvent*) () from /usr/lib/libQtGui.so.4

#24 0xb45b6f6c in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()

   from /usr/lib/libQtGui.so.4

#25 0xb45bc462 in QApplication::notify(QObject*, QEvent*) ()

   from /usr/lib/libQtGui.so.4

#26 0xb5a321e1 in QgsApplication::notify(QObject*, QEvent*) ()

   from /usr/lib/libqgis_core.so.1.9.0

#27 0xb50bb9fe in QCoreApplication::notifyInternal(QObject*, QEvent*) ()

   from /usr/lib/libQtCore.so.4

#28 0xb45b7dd4 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QW---Type <return> to continue, or q <return> to quit---

idget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) ()

   from /usr/lib/libQtGui.so.4

#29 0xb4640132 in ?? () from /usr/lib/libQtGui.so.4

#30 0xb463ef63 in QApplication::x11ProcessEvent(_XEvent*) ()

   from /usr/lib/libQtGui.so.4

#31 0xb4668504 in ?? () from /usr/lib/libQtGui.so.4

#32 0xb3c1c733 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0

#33 0xb3c1cad0 in ?? () from /usr/lib/libglib-2.0.so.0
#34 0xb3c1cbb1 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0

#35 0xb50ed821 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4

#36 0xb46680ea in ?? () from /usr/lib/libQtGui.so.4

#37 0xb50ba4dc in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4

#38 0xb50ba7d1 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()

   from /usr/lib/libQtCore.so.4

#39 0xb50bfa6a in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4

#40 0xb45b4dd4 in QApplication::exec() () from /usr/lib/libQtGui.so.4

#41 0x080ff571 in main ()

#6 - 2012-08-23 11:16 PM - marisn -

I was unable to bisect exact commit, as there was some other compilation related issue around the time when change to blame was introduced.

There are only 'skip'ped commits left to test.

The first bad commit could be any of:

2e6ecbc3536e725c6640b1878c78d4c87f8c7c1d

eb0841480e3027d25cdb7b8f3e113e6b2b5ac12e

0e5e3679391bf33f14e3622cc403ac030a270002

ec0a02b788b78eb91169b113bb7dafeaf8509b7f

3ebef1b66db8d97a2481194b7f829daa07849e0c

d57ecae57b9f1cdda47a7771cf09cca468e9aa75

050c0ff63d9b92f627a8fff4ca7e8d27cefe6ffe

d703289b839e19b048770ad259eab6d1c7f032e9

70fe6cf72317871ea30947287e6b3b402c00bbb1

7e97033a19b388e25e1775a47bf6fa48865e9d81

6f14d2c089481696f217ec7be79b9c9c7933735f

a003f743a930c52cca4605fb906bbd5185ab2af8

590929dfac2a93024d8d039d365e7713d9ddee26

8719ef938cd93824dbecf718c9c074fdba034465

95e7832148a19af26bad75d45cfaccaa1377ec05

b9d2615e7ca32084a2e097ca80d16e89bc00167b

02d05d1930db5c84730c87ce30d067087bd1d41b

a928d57be54ceda6f2d4f14ad25a2d1541bf8632

0ed3d4772c1bd1f52da3752665c70739a2481eba

b2782c06ef665e9d16c4e672bdc99972bf53665d

b40d0af2e6e71b6c73d3978dc0bc5584d03c8305

c01edd4e252059a95c4723df8ddb19ecd8acfbbb

b3b9674c293ca4dc28b8e835a4a6a21791096e75

c2f768fa9313f327bca1c071e7aa64e12f1b0321

4969d6760f21d133cb99a929ad58d56cacd4ab24

d413a20174360796f2256de416271eb714190499

5135fe872a8b7c0744f9c2c868d2286cee75ad90

9a3d6abd02419b76bd59d3120626ea99d29db391

4f52d9fbd678cbbd741d3478f93bb12629cb8616

ce84b5608e3cff4cfea22f336773d93e573ea4b8

682d8b34b6d3afa48d1c223d5b25a4f53fd76975

852c5e78c28eb8dc3541e389e5fdbbaeeccac5d7

12f521eb559e10e4491e999fc2255e6892eb526a

1e2e9c4d6e075b092905b5e939625bf55b130090

e6d988057fbea22ab3b7ac1a15893700c9799b5b

We cannot bisect more!
#7 - 2012-08-23 11:45 PM - Alister Hood

Did the compilation problem affect all platforms?

#8 - 2012-08-24 10:55 AM - Giovanni Manghi

- Assignee set to Marco Hugentobler

see also #6245

#9 - 2012-08-24 08:59 PM - Marco Hugentobler

- Status changed from Open to Closed

Fixed in master branch (6811abd4406b59396cea209237be32027a21765b)
